#
# spec file for package hwinfo (Version 3.31)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  hwinfo-internal
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip hwinfo-internal kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         hwinfo
Copyright:    Copyright (c) 1999 SuSE GmbH
Group:        Utilities/System
Provides:     libhd
Obsoletes:    libhd
Autoreqprov:  on
Summary:      Hardware lib
Version:      3.31
Release:      4
Source:       hwinfo-3.20.tar.bz2
Patch:        hwinfo-3.20_3.21.dif
Patch1:       hwinfo-3.21_3.22.dif
Patch2:       hwinfo-3.22_3.23.dif
Patch3:       hwinfo-3.23_3.24.dif
Patch4:       hwinfo-3.24_3.25.dif
Patch5:       hwinfo-3.25_3.26.dif
Patch6:       hwinfo-3.26_3.27.dif
Patch7:       hwinfo-3.27_3.28.dif
Patch8:       hwinfo-3.28_3.29.dif
Patch9:       hwinfo-3.29_3.30.dif
Patch10:      hwinfo-3.30_3.31.dif
Patch11:      hwinfo-3.31_sparc.dif

%description
A simple program that lists the results of the harware detection library.

SuSE series: d

%package -n hwinfo-devel
Version:      3.31
Release:      4
Summary:      Hardware detection library
Group:        Development/Libraries
Provides:     libhddev
Obsoletes:    libhddev

%description -n hwinfo-devel
This library collects info about the installed hardware.

SuSE series: d

%prep
%setup -n hwinfo-3.20
%patch
%patch1
%patch2
%patch3
%patch4
%patch5
%ifarch ppc
%patch6
%patch7
%patch8
%patch9
%patch10
%endif
%ifarch sparc sparc64
%patch11
%endif
  if [ -d /tmp/hwinfo-internal ] ; then
    cp -af /tmp/hwinfo-internal/* .
  fi

%build
  make tiny
  cp src/libhd.a libhd_tiny.a
  make clean
  make static
  cp src/libhd.a .
  make clean
  make

%install
  make install
  install -m 644 libhd{,_tiny}.a /usr/lib

%files
/usr/sbin/hwinfo
/usr/sbin/hwscan
/usr/lib/libhd.so.*
%doc README

%files -n hwinfo-devel
/usr/lib/libhd.so
/usr/lib/libhd.a
/usr/lib/libhd_tiny.a
/usr/include/hd.h
%doc doc

%changelog -n hwinfo
* Fri Nov 02 2001 - snwint@suse.de
- read country code from usb devices
* Thu Oct 18 2001 - snwint@suse.de
- gmac controllers are powered off when unconfigured, so
  we have to provide the class id ourself (#11733)
* Mon Oct 15 2001 - snwint@suse.de
- don't load parport modules on pmac (#11743)
- provide monitor sync data if they are missing
* Wed Oct 10 2001 - snwint@suse.de
- more apple monitor fixes
* Tue Oct 09 2001 - snwint@suse.de
- ppc: work around incorrect iMac monitor data
* Mon Oct 08 2001 - kukuk@suse.de
- Apply last patch only on PPC
* Mon Oct 08 2001 - snwint@suse.de
- ppc: detect swim3 floppy (#11643)
- ppc: pr_prom needs pr_pci in some cases
- add monitor entry based on fbdev data, if we have
  nothing better (#11344)
* Fri Oct 05 2001 - snwint@suse.de
- longer timeouts in modem detection (#11432)
- don't merge pci and proc data on ppc (#10435)
- pci data are inconsistent on ppc, remove consistency check (#11551)
- new x11 data (ppc)
* Wed Oct 03 2001 - olh@suse.de
- fix the check for active framebuffer
  the current one is a hack and doesnt work in all cases
* Thu Sep 27 2001 - olh@suse.de
- use pc104 instead of powerpcps2
* Mon Sep 24 2001 - snwint@suse.de
- updated X11 data
- no longer default to XF3 for installation on ppc (#11260)
* Mon Sep 24 2001 - snwint@suse.de
- added LSIFC9xx/LSI409xx Fibre Channel (#11251)
* Mon Sep 24 2001 - snwint@suse.de
- use aic7xxx_old one some controllers (#11202)
- use de4x5 instead of tulip for one card (#11093)
- updated X11 data
* Thu Sep 20 2001 - snwint@suse.de
- make AIPTEK tablet a mouse again
- added old_unique_id field
* Wed Sep 12 2001 - snwint@suse.de
- rewrote floppy detection to make it work on non-i386 archs
* Tue Sep 11 2001 - snwint@suse.de
- get current video mode
* Mon Sep 10 2001 - snwint@suse.de
- updated X11 data
- make it work with diet-libc
- should correctly report vmware cards now
* Tue Sep 04 2001 - snwint@suse.de
- changed unique_id calculation (#10139)
- introduced arch_ppc64, CHRP64 -> CHRP
* Mon Sep 03 2001 - snwint@suse.de
- usb printer device names have changed
- new x11 data
- fixed segfault bug in ide-scsi handling
* Wed Aug 29 2001 - snwint@suse.de
- new x11 data
- ignore obviously broken ddc info
* Mon Aug 27 2001 - snwint@suse.de
- new qlogic driver info (#9868)
- completely new x11 data
* Thu Aug 23 2001 - snwint@suse.de
- fixed to work with the new cpqarray driver
- fixed evil database bug (#9798)
* Mon Aug 20 2001 - snwint@suse.de
- removed usb network module info
- added iSeries disks
* Fri Aug 17 2001 - snwint@suse.de
- fixed some drivers.audio entries
- install in $DESTDIR
- handle ide-scsi drives
- fix segfault bug in apm detection
- added usb network data
* Mon Aug 06 2001 - snwint@suse.de
- fixed tv card detection
* Tue Jul 31 2001 - snwint@suse.de
- make now builds shared version per default
* Tue Jul 31 2001 - snwint@suse.de
- integrated hwscan
* Fri Jul 27 2001 - snwint@suse.de
- added chipcard reader support
- added camera (webcam) support
- added framebuffer support (currently: VESA)
* Thu Jul 26 2001 - snwint@suse.de
- report smp capability only if >1 processors are active
- added access functions for /var/lib/hardware/ to libhd
- hwinfo: no progress info if output is redirected
- hwinfo: multiple arguments allowed
- assign a hw_class
* Mon Jul 23 2001 - snwint@suse.de
- SMP code can now handle empty MP tables
- support module lists in driver info
- new 'manual' flag indicating hardware that was not
  detected but entered manually
- report usb capability only if the controller has an irq assigned
* Fri Jul 13 2001 - kukuk@suse.de
- SUNs fiberchannel controller could also be in the unspecified
  section
* Thu Jul 12 2001 - kukuk@suse.de
- Add support for sunqfe Card
* Wed Jun 27 2001 - snwint@suse.de
- added usb scanner detection
- set gpm protocol to imps2 for wheel mice
- bios based monitor detection enabled per default
- made usb module loading default
* Tue Jun 19 2001 - snwint@suse.de
- fixed for s390x
* Wed Jun 13 2001 - snwint@suse.de
- fixed framebuffer mode detection bug (#8620)
- prefer e100.o over eepro100.o (#8797)
* Thu May 31 2001 - schwab@suse.de
- Don't dereference free'd pointer.
* Mon May 14 2001 - snwint@suse.de
- use isapnp_reset=0 for loading isa-pnp.o (#8075)
* Fri May 11 2001 - snwint@suse.de
- have i2o cards listed as storage controllers (#6335)
* Thu May 10 2001 - snwint@suse.de
- increase /dev/psaux timeout
- adapted missing keyboard detection for kernel 2.4
* Thu May 10 2001 - snwint@suse.de
- less things in libhd_tiny.a
- read block 0 from disks _before_ going to look for the boot device
- vmware detection clobbers %%ebx; fixed
- completely new monitor data base (#7536)
* Mon May 07 2001 - snwint@suse.de
- preserve %%ebx in i10_v86.c::vm86_rep
* Mon May 07 2001 - snwint@suse.de
- rewrote isapnp detection for 2.4 kernel
- updated driver info data
- added "Baum" braille display detection
* Thu May 03 2001 - snwint@suse.de
- added vmware check
- don't do scsi write cache detection in vmware
- added ia64 smp detection
- ia64 x11 data added
- use tulip instead of de4x5 (#7317)
* Mon Apr 30 2001 - snwint@suse.de
- updated x11 data
- fixed multi-head display handling
- adapted compaq smart array detection for kernel 2.4
* Wed Apr 25 2001 - snwint@suse.de
- parport detection updated for kernel 2.4
- add scsi hostadapter info to debug output
- usb-storage again
- boot_ia64 -> boot_elilo
* Fri Apr 20 2001 - snwint@suse.de
- better usb-storage support
* Thu Apr 19 2001 - snwint@suse.de
- reworked floppy detection
- identify devices with removable media
- zip drives are always reported as floppies
* Wed Apr 18 2001 - snwint@suse.de
- reworked ps/2 mouse code
- provide number of buttons/wheels for mice
- fixed specfile
* Tue Apr 17 2001 - kkaempf@suse.de
- fix filelist in specfile
  call ldconfig at end of "make install"
* Sat Apr 07 2001 - snwint@suse.de
- new output format for support tool
- more options for hwinfo
- include pcmcia/cardbus cards in device lists
* Thu Apr 05 2001 - snwint@suse.de
- new major version due to incompatible interface changes
- integrated experimental changes (split was after v1.90)
* Tue Apr 03 2001 - snwint@suse.de
- fixed segfault bug in alpha smp code
* Mon Mar 26 2001 - snwint@suse.de
- unique id format changed
* Wed Feb 28 2001 - snwint@suse.de
- stepan: removed ISDN on alpha
- avoid trigraphs while generating the data base
* Thu Feb 22 2001 - snwint@suse.de
- fixed hd_copy() segfault bug (ppc)
* Wed Feb 21 2001 - snwint@suse.de
- implemented SMP detection on ppc
* Tue Feb 20 2001 - snwint@suse.de
- backport of new SMP detection code (ia32)
- get console speed from kernel command line (ppc)
* Thu Feb 15 2001 - snwint@suse.de
- fixed evil scsi device detection bug
  (missing scsi devices under some strange circumstances)
- don't probe physical scsi geometry
* Mon Feb 12 2001 - snwint@suse.de
- changed display adapter detection code to prefer sbus cards
* Fri Feb 09 2001 - snwint@suse.de
- kkaempf: "ld -shared" is forbidden, changed to "gcc"
* Wed Jan 31 2001 - snwint@suse.de
- mls: new oem stuff
* Mon Jan 29 2001 - snwint@suse.de
- kukuk: sparc keyboard patches
* Thu Jan 18 2001 - snwint@suse.de
- fixed ISAPnP device name handling
* Wed Jan 17 2001 - snwint@suse.de
- updated dac960 driver info
* Wed Jan 17 2001 - snwint@suse.de
- added '--help' option to hwinfo
- implemented a basic getopt-style hwinfo interface
- activate pr_bios if pr_misc is set
* Tue Jan 16 2001 - snwint@suse.de
- back to old version scheme to avoid update problems
* Mon Jan 15 2001 - snwint@suse.de
- updated scsi driver info
* Mon Jan 15 2001 - snwint@suse.de
- make XF 4 default if no X11 info is found (ia32 only)
- fixed serial line detection bug
* Fri Jan 12 2001 - snwint@suse.de
- fix minor bug in printer detection
- fix bios disk number detection
- sym*.o instead of ncr*.o for 53C875
- quick fix for Wacom tablets
* Thu Jan 11 2001 - snwint@suse.de
- arvin: made res_pppd_option work
- arvin: fixed detection of terminal adapters
- sped up new modem stuff if no modem is connected
* Wed Jan 10 2001 - snwint@suse.de
- introduced res_pppd_option
* Tue Jan 09 2001 - snwint@suse.de
- smid@suse.cz: improved modem init string code
* Mon Jan 08 2001 - snwint@suse.de
- fixed color depth handling
- fixed multi-soundcard bug
* Sun Jan 07 2001 - snwint@suse.de
- kendy@suse.cz: use BIOS port info for parport
- 8139too instead of rtl8139 whenever possible
* Wed Dec 20 2000 - snwint@suse.de
- added modem init string patch from smid@suse.cz
* Tue Dec 19 2000 - snwint@suse.de
- added cciss stuff
* Mon Dec 18 2000 - snwint@suse.de
- BIOS lba stuff now works
- updated x11 data
* Fri Dec 15 2000 - snwint@suse.de
- hwinfo can now update x11 info in install.inf
* Thu Dec 14 2000 - schwab@suse.de
- Build pnpdump only on i386 and alpha.
- Make shared library executable.
* Wed Dec 13 2000 - snwint@suse.de
- hwinfo can now update braille info in install.inf
- activate alva braille detection
* Tue Dec 12 2000 - snwint@suse.de
- added symlink
* Tue Dec 12 2000 - snwint@suse.de
- new version number scheme (due to shared lib)
- create shared libhd
- report BIOS lba extension support
- rearranged building libhd_tiny a bit
* Tue Dec 12 2000 - snwint@suse.de
- fixed isapnp segfault bug
* Fri Dec 08 2000 - snwint@suse.de
- new alva detection code
- added cd-r/dvd detection
- read "el torito" boot info
* Thu Dec 07 2000 - snwint@suse.de
- fixed evil hddb bug
- added 3d script field
* Fri Dec 01 2000 - snwint@suse.de
- changed to new package name
* Thu Nov 09 2000 - snwint@suse.de
- started work on hddb fix
- renamed timeout -> hd_timeout
- remove memory leaks, part 2 (ppc)
- add CD-RW detection (and DVD)
- remove memory leaks, part 1
* Tue Oct 10 2000 - snwint@suse.de
- distinguish between chrp & chrp64
- provide a unique key for every hardware item
* Tue Oct 10 2000 - snwint@suse.de
- cpu/smp detection code improved
* Thu Sep 28 2000 - snwint@suse.de
- sparc: added x11 info
* Fri Sep 22 2000 - snwint@suse.de
- ppc: fixed serial line & modem detection
* Thu Sep 21 2000 - snwint@suse.de
- provide CHPID on s390
* Wed Sep 20 2000 - snwint@suse.de
- added missing closedir()
* Mon Sep 18 2000 - snwint@suse.de
- improved /proc/interrupt parsing
- ppc: always return a ps/2 mouse for PreP & CHRP
- skip serial device detection for console & yast2ser /proc/cmdline
  entries
- ids updated
* Fri Sep 15 2000 - snwint@suse.de
- ppc: changed some ids
* Wed Sep 13 2000 - snwint@suse.de
- serial console on ppc
* Wed Sep 13 2000 - snwint@suse.de
- ppc x11 driver info
- ppc serial console
- braille only on ia32
- fixed scsi segfault bug
* Mon Sep 11 2000 - snwint@suse.de
- updated device ids
- added basic i2o support
- disabled isapnp on ppc
* Thu Sep 07 2000 - snwint@suse.de
- fixed modem segfault bug
- fixed Zip device detection
* Wed Sep 06 2000 - snwint@suse.de
- s390: network devices
* Tue Sep 05 2000 - snwint@suse.de
- s390: finds disks
- ppc: better sound detection
* Fri Aug 25 2000 - snwint@suse.de
- new platform cpu entry on alpha
* Wed Aug 23 2000 - snwint@suse.de
- made libhd at least to compile on s390
- slightly changed memory detection
- ADB mice: /dev/input/mice
- added monitor detection on ppc
- fixed iso9660 info reading
* Mon Aug 14 2000 - snwint@suse.de
- added PROM parser for ppc; currently handles
  SCSI, network, sound & floppy devices
* Wed Aug 09 2000 - snwint@suse.de
- added pr_misc to hw_isdn
- fixed memory size detection
- added 'generation' to system entry (for ppc)
- new scsi detection code
- kukuk: PS/2 keyboard detection on UltraSPARC
* Tue Aug 01 2000 - kukuk@suse.de
- Add PS/2 keyboard detection on UltraSPARC
* Fri Jul 28 2000 - snwint@suse.de
- fixed 'x11' parameter parsing
* Thu Jul 27 2000 - snwint@suse.de
- added '--special' option to hwinfo (needed for live CD)
* Mon Jul 24 2000 - snwint@suse.de
- SMP detection: look for 'apic' flag
- updated x11 data
* Thu Jul 20 2000 - snwint@suse.de
- updated x11 data
* Thu Jul 20 2000 - snwint@suse.de
- fixed Vaio detection
- updated special ide chipset list
- more functions in LIBHD_TINY
- updated x11 data
* Wed Jul 19 2000 - snwint@suse.de
- updated x11 data
* Tue Jul 18 2000 - snwint@suse.de
- dropped alva probing
- updated x11 data
* Mon Jul 17 2000 - snwint@suse.de
- updated x11 data
* Sat Jul 15 2000 - snwint@suse.de
- fixed isapnp isdn probing bug
- updated x11 data
* Thu Jul 13 2000 - snwint@suse.de
- fixed bootdevice detection bug
- detect PowerBooks
* Wed Jul 12 2000 - snwint@suse.de
- updated alsa driver info
- updated minicdb id data
- fixed missing isapnp sound cards bug
- added Sony Vaio detection
- changed lance driver entry
- fixed isdn/network card bug
* Tue Jul 11 2000 - snwint@suse.de
- pnpdump: start port scanning at port 0x20b, not 0x203
  (skips potential game port)
- get ids directly from minicdb
* Fri Jul 07 2000 - snwint@suse.de
- fixed hw_sys/hw_tv probing bug
* Thu Jul 06 2000 - snwint@suse.de
- new 'system' hw entry
- sparc smp detection: active -> probed
* Wed Jul 05 2000 - snwint@suse.de
- added parallel Zip drive detection
* Mon Jul 03 2000 - snwint@suse.de
- don't list cardbus/pcmcia devs in hd_list()
- add multimedia/video boards to display adapters
* Tue Jun 27 2000 - snwint@suse.de
- fixed bug in braille detection
* Tue Jun 27 2000 - snwint@suse.de
- fixed braille display probing
* Mon Jun 26 2000 - snwint@suse.de
- updated README
- fixed bug in 'hwprobe' handling
* Mon Jun 26 2000 - snwint@suse.de
- new usb mouse devices
* Thu Jun 22 2000 - snwint@suse.de
- activated serial line scanning in linuxrc
- extendend 'hwprobe=' features
* Wed Jun 21 2000 - snwint@suse.de
- changed (driver_info_x11_t).x11.raw to str_list_t
- fhp_old braille detection implemented
- alva & ht braille stuff added
* Wed Jun 21 2000 - snwint@suse.de
- added 'x11' kernel cmdline param
* Tue Jun 20 2000 - snwint@suse.de
- fixed mk_ids (used to drop all non-x11 ids)
- improved 'hwprobe=' functionality
- fhp braille detection implemented
* Tue Jun 20 2000 - snwint@suse.de
- updated pciutils & sax/sax2 data
- added fire gl1
- added 'hwprobe' env resp. kernel cmdline param
* Mon Jun 19 2000 - ro@suse.de
- up to 1.01
* Fri Jun 09 2000 - snwint@suse.de
- improved ddc parsing (new syslinux!)
* Fri Jun 09 2000 - snwint@suse.de
- added hw_monitor, hw_printer, hw_tv, hw_scanner
* Thu Jun 08 2000 - snwint@suse.de
- added hd_list() function
* Tue Jun 06 2000 - snwint@suse.de
- new SaX[2] data
- changed mk_ids to provide 3d *and* non-3d x11 entries
* Mon Jun 05 2000 - snwint@suse.de
- new *display_list function
* Wed May 31 2000 - snwint@suse.de
- provides info about bios disk ids
* Tue May 30 2000 - snwint@suse.de
- extended X11 driver info (for XF86 4.0)
- added Thorsten's small SPARC patch
- extended serial line info
- note: v0.95 was a ppc quick-hack only version needed for 6.4;
  it will not be integrated into the main tree
* Fri May 26 2000 - kukuk@suse.de
- Add device name for serial console
* Wed May 24 2000 - snwint@suse.de
- fixed tmp file security hole
- added hd_{mouse/keyboard/floppy}_list() functions
* Mon May 15 2000 - kukuk@suse.de
- Add missing break.
* Mon May 15 2000 - snwint@suse.de
- integrated Thorsten Kukuk's patches (mostly SPARC stuff)
* Thu May 11 2000 - kukuk@suse.de
- Don't open /dev/ttyS? on SPARC
* Wed May 03 2000 - kukuk@suse.de
- linuxrc should probe for mouse on SPARC
* Fri Apr 28 2000 - kukuk@suse.de
- Probe for Sun Mouse only if we have a Sun Keyboard
* Fri Apr 28 2000 - kukuk@suse.de
- Implement SBUS Probing for SPARC
* Wed Apr 26 2000 - kukuk@suse.de
- Probe for Sun Mouse and SPARC CPU
- Fix compiling with new kernel headers
* Mon Apr 17 2000 - snwint@suse.de
- ADB mouse driver info extended
- color code stuff updated
* Tue Apr 11 2000 - snwint@suse.de
- fixed XkbModel typo on intel/axp
- ia64 patches from Andreas
- new Mac color code
* Mon Apr 03 2000 - snwint@suse.de
- fixed XkbModel typo on intel/axp
* Fri Mar 31 2000 - snwint@suse.de
- changed XkbModel to "powerpcps2" on chrp machines
- more iMac colors
* Fri Mar 24 2000 - snwint@suse.de
- read color code on macs
* Tue Mar 21 2000 - snwint@suse.de
- a lot of ppc & sparc improvements
* Tue Mar 14 2000 - snwint@suse.de
- see ChangeLog
* Wed Mar 08 2000 - snwint@suse.de
- adapted for release
* Wed Mar 08 2000 - snwint@suse.de
- see ChangeLog
* Wed Mar 08 2000 - snwint@suse.de
- see ChangeLog
* Wed Mar 08 2000 - snwint@suse.de
- see ChangeLog
* Mon Mar 06 2000 - snwint@suse.de
- see ChangeLog
* Sun Mar 05 2000 - snwint@suse.de
- some monitor data
* Sat Mar 04 2000 - snwint@suse.de
- see ChangeLog
* Fri Mar 03 2000 - snwint@suse.de
- small fixes
* Wed Mar 01 2000 - ro@suse.de
- fixed filelist
* Wed Mar 01 2000 - snwint@suse.de
- see ChangeLog
* Mon Feb 28 2000 - snwint@suse.de
- see ChangeLog
* Sat Feb 26 2000 - snwint@suse.de
- see ChangeLog
* Fri Feb 25 2000 - snwint@suse.de
- see ChangeLog
* Thu Feb 24 2000 - snwint@suse.de
- see ChangeLog
* Wed Feb 23 2000 - snwint@suse.de
- see ChangeLog
* Tue Feb 22 2000 - snwint@suse.de
- changed x11/3d driver info
* Thu Feb 17 2000 - snwint@suse.de
- see ChangeLog
* Wed Feb 16 2000 - snwint@suse.de
- see ChangeLog
* Thu Feb 10 2000 - snwint@suse.de
- see ChangeLog
* Sat Feb 05 2000 - snwint@suse.de
- see ChangeLog
* Tue Feb 01 2000 - snwint@suse.de
- see ChangeLog
* Fri Jan 28 2000 - snwint@suse.de
- new interface functions
* Wed Jan 26 2000 - snwint@suse.de
- see ChangeLog file
* Mon Jan 17 2000 - snwint@suse.de
- new database format
- various other stuff
* Mon Jan 10 2000 - snwint@suse.de
- new version, with basic ppc & sparc support
* Wed Dec 15 1999 - snwint@suse.de
- first version
